/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *			(C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <dbsdsettings.h>

DBSDSettings::DBSDSettings() {
	pathlevel = 0;
	resetGroup();
}

DBSDSettings::~DBSDSettings() {
}

void	DBSDSettings::beginGroup(const QString &  group) {
	QSettings::beginGroup(group);
	++pathlevel;
}

void	DBSDSettings::endGroup() {
	if(pathlevel > 1)
		QSettings::endGroup();
}

void	DBSDSettings::resetGroup() {
	QSettings::resetGroup();
	beginGroup("/desktopbsd");
}
